Subject: bug#67490: [PATCH v2] tail: fix tailing sysfs files on large page kernels

From: Paul Eggert <[email-masked]>
Date: Thu, 30 Nov 2023 17:54:03 -0800

On 11/30/23 12:11, Pádraig Brady wrote:
> Though that will generally give 128K, which is good when processing all 
> of a file,
> but perhaps overkill when processing just the last part of a file.

The 128 KiB number was computed as being better for apps like 'sed' that 
typically read all or most of the file. 'tail' sometimes behaves that 
way (e.g., 'tail -c +10') and so 'tail' should use 128 KiB in those 
cases. The simplest way to do that is for 'tail' to use 128 KiB all the 
time - that would cost little for uses like plain 'tail' and it could be 
a significant win for uses like 'tail -c +10'.

(As an aside, the 128 KiB number was computed in 2014. These days 256 
KiB might be better if someone could take the time to measure....)